org.apache.sling.jcr.jackrabbit.server.impl.security

## Class AnonCredentials

- java.lang.Object
- - org.apache.sling.jcr.jackrabbit.server.impl.security.TrustedCredentials
  - - org.apache.sling.jcr.jackrabbit.server.impl.security.AnonCredentials

All Implemented Interfaces:
  Serializable, javax.jcr.Credentials

    public final class AnonCredentials
    extends TrustedCredentials

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AnonCredentials(String anonUser)`

### Method Summary

Methods
`protected Principal` `getPrincipal(String userId)`

### Methods inherited from class org.apache.sling.jcr.jackrabbit.server.impl.security.TrustedCredentials

`getImpersonator, getPrincipal, getTrustedAuthentication`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnonCredentials

    public AnonCredentials(String anonUser)

Parameters:
  `anonUser` -

### Method Detail

#### getPrincipal

    protected Principal getPrincipal(String userId)

Specified by:
  `getPrincipal` in class `TrustedCredentials`
Returns:
See Also:
  `TrustedCredentials.getPrincipal(java.lang.String)`